<nz-layout>
    <nz-content class="no-margin">
        <div class="">
            <app-img-header></app-img-header>
        </div>
    </nz-content>

    <!-- nzXs="24" nzSm="14" nzSm="14" -->
    <nz-content>
        <span id="top-header"></span>
        <div class="detail-tuto-content">
            <!-- ===================== -->
            <!-- Display Title tutorial -->
            <!-- ===================== -->
            <div class="center title-tuto">
              <div nz-row>
                <img class="logo-tuto" src="https://i.ibb.co/HCscRLk/angular.png">
                    <h1>Create Angular Project Using CLI</h1>
                    <div class="lead lead-forum">
                      <span><i nz-icon nzType="user" nzTheme="outline"></i>Alex R.</span>
                      <span><i nz-icon nzType="calendar" nzTheme="outline"></i>12 Mars 2020</span>
                      <span><i nz-icon nzType="like" nzTheme="outline"></i>23</span>
                    </div>
                    <div class="lead lead-forum">
                      <span><i nz-icon nzType="eye" nzTheme="outline"></i>56</span>
                      <span><i nz-icon nzType="message" nzTheme="outline"></i>5</span>
                    </div>
                  </div>
              </div>
            <!-- ===================== -->
            <!-- Display Content tutorial -->
            <!-- ===================== -->
            <div nz-row>
                <div class="body-tuto" nz-col nzSpan="24">
                  <div>
                  <h2 class="subtitle-tuto">Introduction</h2>
                  <p>Angular is a platform and front-end framework for building single-page 
                    client applications using HTML and Typescript. It uses Typescript by
                     default for creating logic and methods for a class. However, the browser
                      doesn't know the typescript here, as Webpack comes in the picture. 
                      Webpack is used to compile these typescript files to javascript. 
                      For this type of configuration, files are required in the Angular project.</p>
                      <h2 class="subtitle-tuto">Prérequis</h2>
                      <ul>
                        <li>Angular 8+</li>
                        <li>Node JS</li>
                        <li>VS code</li>
                      </ul>

                      <h2 class="subtitle-tuto">Etape 1 - Installing Angular CLI 8</h2>
                      <p>Let’s start with the first step, where we’ll install the latest
                         version of Angular CLI.</p>
                         <img class="img-tuto" src="https://www.c-sharpcorner.com/UploadFile/BlogImages/03192020104712AM/01.png">
                      <p>Angular CLI  is the official tool for initializing and working with 
                        Angular projects. Head to a new terminal and execute the following command:
                      </p>
                      <h2 class="subtitle-tuto">Etape 2 - Creating your Angular 8 Project</h2>
                      <p>The CLI will prompt you and ask whether you would like to add Angular routing. Say Yes. It'll then ask which stylesheet format you would like to use. Choose CSS.</p>
                      <p>Angular CLI will generate the required files and folders, install the packages from npm, and even automatically set up routing in our project.</p>
                      <img class="img-tuto" src="https://www.c-sharpcorner.com/UploadFile/BlogImages/03192020104712AM/06.png">
                      <p>Now, go to your project’s root folder and run the local development server using these commands:</p>
                      <h2 class="subtitle-tuto">Etape 3 - Adding Angular HttpClient</h2>
                      <p>Open the  src/app/app.module.ts  file and make the following changes:</p>
                      <p>We simply imported HttpClientModule and included it in the imports array.</p>
                      <p>That’s all - now we can use the  HttpClient  service in our Angular project to consume our REST API.</p>
                      <img class="img-tuto" src="https://miro.medium.com/max/888/1*cI7x-5FmvppWfyZanypVmw.png">
                      <p>You are ready !</p>

                      <h2 class="subtitle-tuto">Conclusion</h2>
                      <p>Throughout this step by step tutorial, you learned to build an Angular application from scratch using the latest Angular 8.3+ version.</p>
                      <p>You learned to mock a REST API backend for your Angular application with nearly zero lines of code.</p>
                      <p>You learned how to create a project using Angular CLI, add  HttpClient  and Angular Material for sending HTTP requests to your mocked REST API backend, and style the UI with Material Design components.</p>
                      <p>Thank you for your time & support!</p>
                    </div>
              </div>
            </div>


            <!-- ===================== -->
            <!-- Display Footer Forum -->
            <!-- ===================== -->
            <div nz-row>
              <div class="body-tuto footer-tuto" nz-col nzSpan="24">
                <p>
                  <nz-tag><a href="">JavaScript</a></nz-tag>
                  <nz-tag><a href="">Angular</a></nz-tag>
                  <nz-tag><a href="">Programming</a></nz-tag>
                  <nz-tag><a href="">Web Developpment</a></nz-tag>
                  <nz-tag><a href="">Technology</a></nz-tag>
                </p>
                <nz-avatar [nzShape]="'square'" [nzSize]="64" [nzIcon]="'user'"></nz-avatar>
                <span class="break-span">RIGUEUR Alex<br>Web & Mobile Developer</span>
                <span></span>
                <hr>
              </div>
            </div>

            <!-- ===================== -->
            <!-- Display COMMENT Forum -->
            <!-- ===================== -->
            <div nz-row>
              <div class="body-tuto" nz-col nzSpan="24">
                  <nz-comment nzAuthor="Han Solo" [nzDatetime]="time">
                      <nz-avatar nz-comment-avatar nzIcon="user"
                          nzSrc="//zos.alipayobjects.com/rmsportal/ODTLcjxAfvqbxHnVXCYX.png"></nz-avatar>
                      <nz-comment-content>
                          <p>
                              We supply a series of design principles, practical patterns and high quality design
                              resources (Sketch and
                              Axure), to help people create their product prototypes beautifully and efficiently.
                          </p>
                      </nz-comment-content>
                      <nz-comment-action>
                          <i nz-tooltip nzTitle="Like" nz-icon nzType="like"
                              [theme]="likes > 0 ? 'twotone' : 'outline'" (click)="like()"></i>
                          <span class="count like">{{ likes }}</span>
                      </nz-comment-action>
                      <nz-comment-action>
                          <i nz-tooltip nzTitle="Dislike" nz-icon nzType="dislike"
                              [theme]="dislikes > 0 ? 'twotone' : 'outline'" (click)="dislike()"></i>
                          <span class="count dislike">{{ dislikes }}</span>
                      </nz-comment-action>
                      <nz-comment-action>Reply to</nz-comment-action>
                  </nz-comment>
              </div>
          </div>

          <!-- ===================== -->
          <!-- Display Reply Forum -->
          <!-- ===================== -->
          <div nz-row>
              <div nz-col class="body-tuto" nzSpan="24">
                  <nz-list *ngIf="data.length" [nzDataSource]="data" [nzRenderItem]="item" [nzItemLayout]="'horizontal'">
                      <ng-template #item let-item>
                        <nz-comment [nzAuthor]="item.author" [nzDatetime]="item.displayTime">
                          <nz-avatar nz-comment-avatar nzIcon="user" [nzSrc]="item.avatar"></nz-avatar>
                          <nz-comment-content>
                            <p>{{ item.content }}</p>
                          </nz-comment-content>
                        </nz-comment>
                      </ng-template>
                    </nz-list>
                    <nz-comment>
                      <nz-avatar nz-comment-avatar nzIcon="user" [nzSrc]="user.avatar"></nz-avatar>
                      <nz-comment-content>
                        <nz-form-item>
                          <textarea [(ngModel)]="inputValue" nz-input rows="4"></textarea>
                        </nz-form-item>
                        <nz-form-item>
                          <button nz-button nzType="primary" [nzLoading]="submitting" [disabled]="!inputValue" (click)="handleSubmit()">
                            Publier commentaire
                          </button>
                        </nz-form-item>
                      </nz-comment-content>
                    </nz-comment>
              </div>
          </div>
        </div>
    </nz-content>
</nz-layout>